LOCALE::PO4A::DOCBOOK.3PM(1)

NAME
Locale::Po4a::Docbook - convert DocBook XML documents from/to PO files

DESCRIPTION
The po4a (PO for anything) project goal is to ease translations (and more interestingly, the maintenance of translations) using gettext tools on areas where they were not expected like documentation.

Locale::Po4a::Docbook is a module to help the translation of DocBook XML documents into other [human] languages.

STATUS OF THIS MODULE
This module is fully functional, as it relies in the Locale::Po4a::Xml module. This only defines the translatable tags and attributes.

The only known issue is that it doesn't handle entities yet, and this includes the file inclusion entities, but you can translate most of those files alone (except the typical entities files), and it's usually better to maintain them separated.

OVERRIDE THE DEFAULT BEHAVIOR WITH COMMAND LINE OPTIONS
The default behavior of system provided modules is set to be on the safe side.

For example, the default of <author> tag is aiming it to appear under <para>. But you may be using it only under <bookinfo>. For this case, you may want to translate it independently for each author.

If you don't like the default behavior of the xml module and its derivative modules, you can provide command line options to change their behavior. For example, you can add the following to the po4a configuration file:

  opt:"-k 0 -o nodefault=\"<bookinfo> <author>\" \
            -o break=\"<bookinfo> <author>\" \
            -o untranslated=\"<bookinfo>\" \
            -o translated=\"<author>\""

This overrides the default behavior for <bookinfo> and <author>, set <bookinfo> and <author> to break input data stream on these tags, set <bookinfo> not to translate its tagged content, and set <author> to translate its tagged content.

SEE ALSO
Locale::Po4a::TransTractor(3pm), Locale::Po4a::Xml(3pm), po4a(7)

AUTHORS
 Jordi Vilalta <jvprat@gmail.com>

COPYRIGHT AND LICENSE
 Copyright © 2004 Jordi Vilalta  <jvprat@gmail.com>
 Copyright © 2007-2009 Nicolas François <nicolas.francois@centraliens.net>

This program is free software; you may redistribute it and/or modify it under the terms of GPL v2.0 or later (see the COPYING file).